# Uses of Enum Class
org.apache.sysds.runtime.io.cog.IFDTagDictionary

Packages that use IFDTagDictionary
Package
Description
org.apache.sysds.runtime.io.cog

## Uses of IFDTagDictionary in org.apache.sysds.runtime.io.cog

Methods in org.apache.sysds.runtime.io.cog that return IFDTagDictionary
Modifier and Type
Method
Description
`IFDTagDictionary`
IFDTag.`getTagId()`
`static IFDTagDictionary`
IFDTagDictionary.`valueOf(int value)`
Returns the enum constant of this class with the specified name.
`static IFDTagDictionary`
IFDTagDictionary.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IFDTagDictionary[]`
IFDTagDictionary.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.io.cog with parameters of type IFDTagDictionary
Modifier and Type
Method
Description
`void`
IFDTag.`setTagId(IFDTagDictionary tagId)`
Constructors in org.apache.sysds.runtime.io.cog with parameters of type IFDTagDictionary
Modifier
Constructor
Description
``
`IFDTag(IFDTagDictionary tagId, short dataType, int dataCount, Number[] data)`